﻿using UnityEngine;
using System.Collections;

public class scriptOmino : MonoBehaviour {
	

	public float forceForward = 10000.0F;

	
	bool dead = false;
	
	private Animator animator;
	
	// Use this for initialization
	void Start () {
		animator = gameObject.GetComponent< Animator >();
		
	}
	
	
	public void Die(){
		animator.enabled = false;
		
		// trasfreimento velocita pillolone a tutti i pezzetti del ragdoll
		Rigidbody[] bodies = gameObject.GetComponentsInChildren<Rigidbody>();
		foreach (Rigidbody b in bodies) {
			b.velocity = gameObject.rigidbody.velocity;
		}
		dead = true;
	}
	
	void Revive(){
		animator.enabled = true;
		dead = false;
	}
	
	void OnCollisionEnter(Collision c){
		if (!c.gameObject.CompareTag("TerrainTag"))
		Die ();
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		
		if (!dead) {
			if ( Input.GetKey(KeyCode.LeftArrow) ) {
				gameObject.transform.Rotate(0,  -160.0f*Time.deltaTime, 0);			
			}
			if ( Input.GetKey(KeyCode.RightArrow) ) {
				gameObject.transform.Rotate(0,  +160.0f*Time.deltaTime, 0);			
			}


			if ( Input.GetKey (KeyCode.UpArrow) ) {
				rigidbody.AddForce( transform.forward * forceForward );
			}
		}
		
		if ( Input.GetKeyDown(KeyCode.K) ) {
			if (!dead) Die ();
			else Revive ();
		}
	
		animator.SetFloat("speed", rigidbody.velocity.magnitude * 0.5f);
		
	}
}
